Bug 993940 - ustr possibly affected by F-20 unversioned docdir change
ustr possibly affected by F-20 unversioned docdir change
Product: Fedora
Classification: Fedora
Component: ustr (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
Reported: 2013-08-06 09:21 EDT by Ville Skyttä
Modified: 2015-10-30 16:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-30 16:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 09:21:27 EDT
ustr was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
Comment 1 Fedora End Of Life 2013-09-16 12:17:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
Comment 2 Fedora End Of Life 2015-05-29 05:17:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jan Kurik 2015-07-15 10:45:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 4 Peter Robinson 2015-08-28 09:14:34 EDT
Not a bug

Comment 5 Ville Skyttä 2015-08-29 03:57:55 EDT
(In reply to Peter Robinson from comment #4)
> Not a bug

Running the given grep shows that it clearly still is a bug.

$ grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

$ rpm -qlp https://kojipkgs.fedoraproject.org//packages/ustr/1.0.4/18.fc22/x86_64/ustr-devel-1.0.4-18.fc22.x86_64.rpm | grep share/doc
/usr/share/doc/ustr-devel-1.0.4/strdup vs. ustr.gnumeric
Comment 6 Ville Skyttä 2015-10-18 03:27:25 EDT
(In reply to Ville Skyttä from comment #5)
> Running the given grep shows that it clearly still is a bug.

...still in ustr-1.0.4-19.fc23.
Comment 7 James Antill 2015-10-30 16:52:16 EDT
Fixed in:

Building ustr-1.0.4-20.fc24 for rawhide
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11642592

Note You need to log in before you can comment on or make changes to this bug.